Attachments
POST
/attachments/{chatflowId}/{chatId}
Create attachments array
Return contents of the files in plain string format
<div class="api-params-section"><h4>Path Parameters</h4><table class="api-params-table"><thead><tr><th>Name</th><th>Type</th><th>Required</th><th>Description</th></tr></thead><tbody><tr><td><strong>chatflowId</strong></td><td><code>string</code></td><td><span class="req-yes">Yes</span></td><td>Chatflow ID</td></tr><tr><td><strong>chatId</strong></td><td><code>string</code></td><td><span class="req-yes">Yes</span></td><td>Chat ID</td></tr></tbody></table></div>
<div class="api-body-section">
<div class="api-request-body-section">
<h4>Request Body (multipart/form-data)</h4>
<div class="api-object-properties">
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">files</span>
<span class="api-property-type">array</span>
<span class="api-property-required">required</span>
</div>
<div class="api-property-desc">Files to be uploaded</div>
</div>
</div>
</div>
</div>
<div class="api-responses-section"><h4>Responses</h4><div class="api-responses-list">
<div class="api-response-row">
<span class="api-response-code code-success">200</span>
<span class="api-response-desc">Attachments created successfully</span>
<div class="api-response-schema-toggle">Schema Detail:</div><div class="api-property-array">Array of: <div class="api-object-properties">
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">name</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Name of the file</div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">mimeType</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Mime type of the file</div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">size</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Size of the file</div>
</div>
<div class="api-property-row" style="margin-left: 0px;">
<div class="api-property-meta">
<span class="api-property-name">content</span>
<span class="api-property-type">string</span>
<span class="api-property-optional">optional</span>
</div>
<div class="api-property-desc">Content of the file in string format</div>
</div>
</div></div>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">400</span>
<span class="api-response-desc">Invalid input provided</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">404</span>
<span class="api-response-desc">Chatflow or ChatId not found</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">422</span>
<span class="api-response-desc">Validation error</span>
</div>
<div class="api-response-row">
<span class="api-response-code code-error">500</span>
<span class="api-response-desc">Internal server error</span>
</div>
</div></div>
</div>